Package org.lwjgl.opengl

# Class NVComputeProgram5

java.lang.Object
org.lwjgl.opengl.NVComputeProgram5

public final class NVComputeProgram5 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPUTE_PROGRAM_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB:
`static final int`
`GL_COMPUTE_PROGRAM_PARAMETER_BUFFER_NV`
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPUTE_PROGRAM_NV

public static final int GL_COMPUTE_PROGRAM_NV
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB:

See Also:
  - Constant Field Values

### GL_COMPUTE_PROGRAM_PARAMETER_BUFFER_NV

public static final int GL_COMPUTE_PROGRAM_PARAMETER_BUFFER_NV
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

See Also:
  - Constant Field Values